Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class SSLKeyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  javax.net.ssl.SSLException
                      javax.net.ssl.SSLKeyException

All Implemented Interfaces:
  Serializable

    public class SSLKeyException

extends SSLException

Reports a bad SSL key. Normally, this indicates misconfiguration of the server or client SSL certificate and private key.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`SSLKeyException(String reason)` Constructs an exception reporting a key management error found by an SSL subsystem.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLKeyException

    public SSLKeyException(String reason)

  Constructs an exception reporting a key management error found by an SSL subsystem.

  Parameters:
    `reason` - describes the problem.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.